var path = require('path');
var fs = require('fs');
var env = process.env.NODE_ENV || 'development';

var logDir = path.resolve(__dirname, '../logs');
if ( !fs.existsSync( logDir ) ) {
    fs.mkdirSync( logDir );
}

var config = {
    logSettings: {
        level: env === 'production' ? 'WARN' : 'DEBUG',
        appenders: [
            {
                type: 'console'
            }, {
                type: 'file',
                filename: logDir + '/bridge.log',
                category: ['bridge', 'console']
            }, {
                type: 'file',
                filename: logDir + '/express.log',
                category: 'express'
            }, {
                type: 'file',
                filename: logDir + '/io.log',
                category: 'io'
            }
        ],
        replaceConsole: true
    },
    fileBaseUrl: env === 'production'
        ? 'https://data-bridge.enhancer.io/file/'
        : 'http://data-bridge.enhancer.cc/file/'
};

module.exports = config;